Enrich a business profile

Fetch enriched profile data. Requires a valid email address. This service is offered in collaboration with Clearbit.

To access this endpoint using an access token you'll need to specify the /profile-enrichment.read scope.

GET
/enrichment/profile
cURL .NET Java Ruby TypeScript PHP Python
curl -X GET "https://api.moov.io/enrichment/profile" \
  -H "Authorization: Bearer {token}" \
  -H "x-moov-version: v2024.01.00" \
using Moov.Sdk;

var sdk = new MoovClient(xMoovVersion: "<value>");

var res = await sdk.EnrichedProfile.GetAsync(email: "Thaddeus.Welch@gmail.com");

// handle response
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetEnrichmentProfileResponse;
import java.lang.Exception;

public class Application {

    public static void main(String[] args) throws Exception {

        Moov sdk = Moov.builder()
                .xMoovVersion("v2024.01.00")
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

        GetEnrichmentProfileResponse res = sdk.enrichedProfile().get()
                .email("Thaddeus.Welch@gmail.com")
                .call();

        if (res.enrichedBusinessResponse().isPresent()) {
            // handle response
        }
    }
}
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
      x_moov_version: 'v2024.01.00',
    )

res = s.enriched_profile.get(email: 'Thaddeus.Welch@gmail.com')

unless res.enriched_business_response.nil?
  # handle response
end
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  xMoovVersion: "v2024.01.00",
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.enrichedProfile.get({
    email: "Thaddeus.Welch@gmail.com",
  });

  console.log(result);
}

run();
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setXMoovVersion('v2024.01.00')
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();



$response = $sdk->enrichedProfile->get(
    email: 'Thaddeus.Welch@gmail.com'
);

if ($response->enrichedBusinessResponse !== null) {
    // handle response
}
from moovio_sdk import Moov
from moovio_sdk.models import components


with Moov(
    x_moov_version="v2024.01.00",
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

    res = moov.enriched_profile.get(email="Thaddeus.Welch@gmail.com")

    # Handle response
    print(res)
200 401 403 404 429 500 504
The request completed successfully.
application/json
{
  "business": {
    "address": {
      "addressLine1": "123 Main Street",
      "addressLine2": "Apt 302",
      "city": "Boulder",
      "stateOrProvince": "CO",
      "postalCode": "80301",
      "country": "US"
    },
    "email": "jordan.lee@classbooker.dev",
    "industryCodes": {
      "naics": "713940",
      "sic": "7991"
    },
    "legalBusinessName": "string",
    "phone": {
      "number": "8185551212",
      "countryCode": "1"
    },
    "website": "string"
  }
}

x-request-id

string required
A unique identifier used to trace requests.
The request contained missing or expired authentication.

x-request-id

string required
A unique identifier used to trace requests.
The user is not authorized to make the request.

x-request-id

string required
A unique identifier used to trace requests.
The requested resource was not found.

x-request-id

string required
A unique identifier used to trace requests.
Request was refused due to rate limiting.

x-request-id

string required
A unique identifier used to trace requests.
The request failed due to an unexpected error.

x-request-id

string required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.

x-request-id

string required
A unique identifier used to trace requests.

Headers

X-Moov-Version

string

Specify an API version.

API versioning follows the format vYYYY.QQ.BB, where

  • YYYY is the year
  • QQ is the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)
  • BB is the build number, starting at .01, for subsequent builds in the same quarter.
    • For example, v2024.01.00 is the initial release of the first quarter of 2024.

The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release. When no version is specified, the API defaults to v2024.01.00.

Query parameters

email

string required

Response

application/json

business

object
Show child attributes

address

object
Show child attributes

addressLine1

string <=60 characters required Pattern

city

string <=32 characters required Pattern

country

string <=2 characters required

postalCode

string <=5 characters required

stateOrProvince

string <=2 characters required

addressLine2

string <=32 characters Pattern

email

string<email> <=255 characters

industryCodes

object
Show child attributes

naics

string [2 to 6] characters

sic

string 4 characters

legalBusinessName

string

phone

object
Show child attributes

countryCode

string <=1 characters

number

string <=10 characters

website

string